libtheora: Data Fields

libtheora 1.1.1

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- ac_scale : th_quant_info
- aspect_denominator : th_info , theora_info
- aspect_numerator : th_info , theora_info

### - b -

- base_matrices : th_quant_ranges

### - c -

- codec_setup : theora_info
- colorspace : th_info , theora_info
- comment_lengths : th_comment , theora_comment
- comments : th_comment , theora_comment
- ctx : th_stripe_callback

### - d -

- data : th_img_plane
- dc_scale : th_quant_info
- dropframes_p : theora_info

### - f -

- fps_denominator : th_info , theora_info
- fps_numerator : th_info , theora_info
- frame_height : th_info , theora_info
- frame_width : th_info , theora_info

### - g -

- granulepos : theora_state

### - h -

- height : th_img_plane , theora_info

### - i -

- i : theora_state
- internal_decode : theora_state
- internal_encode : theora_state

### - k -

- keyframe_auto_p : theora_info
- keyframe_auto_threshold : theora_info
- keyframe_data_target_bitrate : theora_info
- keyframe_frequency : theora_info
- keyframe_frequency_force : theora_info
- keyframe_granule_shift : th_info
- keyframe_mindistance : theora_info

### - l -

- loop_filter_limits : th_quant_info

### - n -

- nbits : th_huff_code
- noise_sensitivity : theora_info
- nranges : th_quant_ranges

### - o -

- offset_x : theora_info
- offset_y : theora_info

### - p -

- pattern : th_huff_code
- pic_height : th_info
- pic_width : th_info
- pic_x : th_info
- pic_y : th_info
- pixel_fmt : th_info
- pixelformat : theora_info

### - q -

- qi_ranges : th_quant_info
- quality : th_info , theora_info
- quick_p : theora_info

### - s -

- sharpness : theora_info
- sizes : th_quant_ranges
- stride : th_img_plane
- stripe_decoded : th_stripe_callback

### - t -

- target_bitrate : th_info , theora_info

### - u -

- u : yuv_buffer
- user_comments : th_comment , theora_comment
- uv_height : yuv_buffer
- uv_stride : yuv_buffer
- uv_width : yuv_buffer

### - v -

- v : yuv_buffer
- vendor : th_comment , theora_comment
- version_major : th_info , theora_info
- version_minor : th_info , theora_info
- version_subminor : th_info , theora_info

### - w -

- width : th_img_plane , theora_info

### - y -

- y : yuv_buffer
- y_height : yuv_buffer
- y_stride : yuv_buffer
- y_width : yuv_buffer